 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.PigstyPigEntity;
import com.huimv.management.service.PigstyPigService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 猪舍和猪关联表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "猪舍和猪关联表")
@RestController
@RequestMapping("management/pigstypig")
public class PigstyPigController {
    @Autowired
    private PigstyPigService pigstyPigService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = pigstyPigService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		PigstyPigEntity pigstyPig = pigstyPigService.getById(id);

        return R.ok().put("pigstyPig", pigstyPig);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody PigstyPigEntity pigstyPig){
		pigstyPigService.save(pigstyPig);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody PigstyPigEntity pigstyPig){
		pigstyPigService.updateById(pigstyPig);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		pigstyPigService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
